### Method

# Camel StoreSearchIndex apply_match_threads

since: 3.58

#### Declaration [src]

    void
    camel_store_search_index_apply_match_threads (
      CamelStoreSearchIndex* self,
      GPtrArray* items,
      CamelMatchThreadsKind kind,
      CamelFolderThreadFlags flags,
      GCancellable* cancellable
    )

#### Description [src]

Constructs the `inout_threads` from the `items` according to the `flags` and then changes the content of the `self` to contain only references to messages which satisfy the `kind`. When there are no `items` or the `kind` is `CAMEL_MATCH_THREADS_KIND_NONE`, the function does nothing.

Available since: 3.58

#### Parameters

`items`

  Type: An array of `None`

  All items used for thread creation.

  The data is owned by the caller of the method.

`kind`

  Type: `CamelMatchThreadsKind`

  One of `CamelMatchThreadsKind`.

`flags`

  Type: `CamelFolderThreadFlags`

  A bit-or of `CamelFolderThreadFlags`.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.